# Memcached::replaceByKey

(PECL memcached >= 0.1.0)

Memcached::replaceByKey — Remplace un élément spécifique sur un serveur désigné

### Description

public Memcached::replaceByKey(
string `$server_key`,
string `$key`,
mixed `$value`,
int `$expiration` = 0
): bool

Memcached::replaceByKey() est fonctionnellement équivalent à la fonction Memcached::replace(), hormis le fait que la variable libre `server_key` peut être utilisée pour diriger la clé `key` vers un serveur spécifique. Ceci est utile si vous voulez conserver un groupe de variables groupées sur un serveur.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage ou de récupération. Au lieu de hacher avec la clé courante pour l'élément, nous hachons avec la clé serveur lorsqu'il est décidé avec quel serveur memcache il convient de dialoguer. Ceci permet le regroupement des éléments correspondants sur un seul serveur permettant de meilleures performances lors d'opérations multiples.

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. La méthode Memcached::getResultCode() va retourner `Memcached::RES_NOTSTORED` si la clé n'existe pas.

### Voir aussi

- Memcached::replace() - Remplace un élément sous une clé
- Memcached::set() - Stocke un élément
- Memcached::add() - Ajoute un nouvel élément sous une nouvelle clé